/* [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved. */
# include "meqh.h"
# ifdef SINGLE
# define FCT   LAPACKE_spptrs
# define PPTRS spptrs
# else
# define FCT   LAPACKE_dpptrs
# define PPTRS dpptrs
# endif
lapack_int FCT(int matrix_layout, char uplo, lapack_int n, lapack_int nrhs, const FLT *ap,
               FLT *b, lapack_int ldb)
{
 ptrdiff_t n_, nrhs_, ldb_;
 ptrdiff_t info;
 n_ = n; nrhs_ = nrhs; ldb_=ldb;
 PPTRS(&uplo, &n_, &nrhs_, ap, b, &ldb_, &info);
 return (lapack_int) (info<0 ? info-1 : info);
}
